Odoo中文社区可以通过以下两个域名访问:shine-it.net , odoo.net.cn

由于系统升迁的原因,本论坛部分较早期的内容存在格式和链接损坏失效的问题,并非本论坛系统本身的缺陷,望谅解

本社区没有维护任何QQ群讨论组,任何与本社区同名的QQ群讨论组的言论与本社区无关!

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

让OE支持base_geoengine模块



  • 一、安装postgis(PostgreSQL8.3为例)
        开始-程序-PostgreSQL8.3-Application Stack Builder(如果没有Application Stack Builder,请卸载已安装的PostgreSQL,下载PostgreSQL8.3安装程序重新安装),在欢迎页选择已安装的PostgreSQL服务,单击下一步,展开Sqptial Extensions,选择"PostGIS 1.5 for PostgreSQL8.3 v1.5.3",一直下一步直到安装完成。

    二、在数据库中配置postgis
        1、创建plpgsql语言,在选定的数据库名上右击,在弹出菜单中选择"CREATE 脚本",在Query窗口中输入"CREATE language plpgsql",点执行查询;
        2、在Query窗口中运行base_geoengine\postgis_sql下的postgis.sql和spatial_ref_sys.sql文件。



  • 不错...

    原来是要让 PostgreSQL 先支持  plpgsql 语言 再去执行base_geoengine 才可以...


  • 管理员

    很好的分享,谢谢LZ


Log in to reply